// EditingFunctions.js



// sort box
function changeSort()
{
  // get the box to sort
  var box = document.getElementById("info");

  // if the sort direction is descending, change it to ascending.
  // Otherwise, set it to ascending.
  if (box.getAttribute("sortDirection") == "descending")
    box.setAttribute("sortDirection","ascending");
  else box.setAttribute("sortDirection","descending");

  // you must rebuild the content after changing sort information
  box.builder.rebuild();
}


// perform find on content area
function doFind(findStr,ignoreCase) {
    if (findStr == "") {
	    updateStatus("No search string entered.");
		return false;
	}
	var ignoreCaseStr = "ig";
	if (ignoreCase == false) {
		ignoreCaseStr = "g";
	}

    var pattern = new RegExp(findStr, ignoreCaseStr);
	var searchResult = content.value.search(findStr);

	if (searchResult != -1 ) {
	    content.select();
		content.setSelectionRange(searchResult, searchResult+findStr.length);
		return true;
	}
	updateStatus("Searching for phrase: "+findStr+"   found: "+isFound);
}


// perform find replace on content area
function doReplace(findStr,replaceStr,ignoreCase) {
    contentCopy = content.value;

    if (findStr == "" || replaceStr == "") {
	    updateStatus("No search string entered.");
		return false;
	}
	// skip trim if replacing new line chars
	if (findStr.indexOf("\n") == -1) {
	    findStr = trim(findStr);
		replaceStr = trim(replaceStr);
	}
	var isFound = false;
	if (content.value.search(findStr) != -1 ) {
		isFound = true;
		ignoreCaseStr = "ig";
		if (ignoreCase == false) {
		    ignoreCaseStr = "g";
		}
		var pattern = new RegExp(findStr, ignoreCaseStr);
        content.value = content.value.replace(pattern, replaceStr);
        content.focus();
	}
}


// increase line spacing
function doIncreaseSpace() {
    doReplace("\n","\n\n")
    updateStatus("Spacing increased...");
}


// decrease line spacing
function doDecreaseSpace() {
    doReplace("\n\n","\n")
    updateStatus("Spacing decreased...");
}


// reverse lines
function doReverseLines() {
    var contentSplit = content.value;
	contentSplit = contentSplit.split("\n");
	contentSplit = contentSplit.reverse();
	contentSplit = contentSplit.join("\n");

	content.value = contentSplit;
	contentSplit = null;
    updateStatus("Reversing lines...");
}

// reverse lines
function doSort() {
    contentCopy = content.value;
    var contentSplit = content.value;
	contentSplit = contentSplit.split("\n");
	contentSplit = contentSplit.sort();
	contentSplit = contentSplit.join("\n");

	content.value = contentSplit;
	contentSplit = null;
    updateStatus("Sorting lines...");
}
